## python-pyaml-env 1.2.1

=== requirements.txt ===
PyYAML>=5.0, <=7.0

=== debian/changelog ===
python-pyaml-env (1.2.1-2) unstable; urgency=medium

  * Team Upload
  * Source-only upload to allow migration.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 15:13:39 +0200

python-pyaml-env (1.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #1058434)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Dec 2023 11:40:36 +0100

=== debian/control ===
Source: python-pyaml-env
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-yaml,
               python3-pytest <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyaml-env
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyaml-env.git
Homepage: https://github.com/mkaranasou/pyaml_env
Rules-Requires-Root: no

Package: python3-pyaml-env
Architecture: all
Depends:  ${python3:Depends},
         ${misc:Depends}
Description: Python3 YAML configuration with environment variables parsing
 Pyaml-env is a very small Python3 library that parses a yaml
 configuration file and it resolves the environment variables, so that no
 secrets are kept in text.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=pyaml_env

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/mkaranasou/pyaml_env/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
